Bug 206891 - Xorg (i810) doesn't start
Xorg (i810) doesn't start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 16:04 EDT by Mark Wielaard
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-01 18:32:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (21.28 KB, text/plain)
2006-09-17 16:04 EDT, Mark Wielaard
no flags Details

  None (edit)
Description Mark Wielaard 2006-09-17 16:04:39 EDT
Description of problem:

X doesn't want to start under Xen.

Version-Release number of selected component (if applicable):

xen/linux 2.6.17-1.2647.fc6xen
xorg-x11-drv-i810.i386 1.6.5-6.fc6

How reproducible:

Always

Steps to Reproduce:
1. Boot with xen enabled
2.
3.
  
Actual results:

X doesn't startup.

Expected results:

X starting up.

Additional info:

This seems the relevant part of the Xorg log (full log attached):

(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Reloading /usr/lib/xorg/modules/libint10.so
(II) I810(0): initializing int10
(WW) I810(0): Bad V_BIOS checksum
(II) I810(0): Primary V_BIOS segment is: 0xc000
(EE) I810(0): CPU 0x0f Trap at CS:EIP=0xc000:0x0000061e
(II) I810(0): EAX=0x00000000, EBX=0x00000000, ECX=0x00000000, EDX=0x00000000
(II) I810(0): ESP=0x00000ffe, EBP=0x00000000, ESI=0x0000202a, EDI=0x00002000
(II) I810(0): CS=0xc000, SS=0x0100, DS=0x0040, ES=0x0000, FS=0x0000, GS=0x0000
(II) I810(0): EIP=0x0000061e, EFLAGS=0x000b3202
(II) stack at 0x00001ffe:
 00 32
(II) I810(0): code at 0x000c061e:
 0f 14 28 2c 0c 11 25 2a 14 1e 32 36 0f 13 27 2c
 1b 20 34 39 06 0b 1f 24 13 18 2c 30 09 0d 21 26
(EE) I810(0): cannot continue
(II) I810(0): VESA BIOS not detected
(EE) I810(0): VBE initialization failed.
(II) UnloadModule: "i810"
(II) UnloadModule: "int10"
Comment 1 Mark Wielaard 2006-09-17 16:04:39 EDT
Created attachment 136494 [details]
Xorg.0.log
Comment 2 Mark Wielaard 2006-09-30 12:54:06 EDT
All seems to work well both with and without Xen with the latest packages:
xorg-x11-drv-i810-1.6.5-8.fc6
kernel-2.6.18-1.2699.fc6
selinux-policy-2.3.16-9

Note You need to log in before you can comment on or make changes to this bug.